import App from './App'

import Vue from 'vue'
import uView from "uview-ui";

import store from './store'
import { router, RouterMount } from 'router'
import Mylink from './node_modules/uni-simple-router/dist/link.vue'

import { INIT } from './im/INIT'

// (async () => {
	Vue.component('my-link', Mylink)
	Vue.use(uView)
	Vue.use(router)
	
	// await INIT();
	
	Vue.config.productionTip = false
	App.mpType = 'app'
	const app = new Vue({
		store,
		...App
	})
	app.$mount()
// })()
